Post by michael@kosmodisk » Tue Feb 05, 2019 4:22 pm

Tried to follow the instructions from this forum discussion, http://forum.opencart.com/viewtopic.php?f=2&t=50292, to update my Open Cart web site to 1.5.x. Error log appeared and Crazy Domains support attempted to reload the back up of my database.

They came back to say website has been corrupted and unable to restore everything.

Anyone interested in tackling this?

We are getting a line error on under mysql.php.
Stack trace:
#0 /home/kosmodis/public_html/system/library/db.php(16): MySQL->query('SELECT *, pd.na...')
#1 /home/kosmodis/public_html/catalog/model/catalog/product.php(4 in /home/kosmodis/public_html/system/database/mysql.php on line 41


Posts

Joined
Tue Feb 05, 2019 1:33 pm

Post by OSWorX » Tue Feb 05, 2019 6:40 pm

1. updated from which version?
2. why update to 1.5.x (exactly which version) and not 2.3.x or 3.0.x?
3. mysql is deprecated

Basically following such obstruse instructions will always lead to corrupt sites.

And:
4. never do any update on a Livesite!

Forum Rules [en]: viewtopic.php?f=176&t=200480
Forumregeln [de]: viewtopic.php?f=37&t=114208
Commercial Request: viewforum.php?f=88

Image


User avatar
Guru Member

Posts

Joined
Mon Jan 11, 2010 10:52 pm
Location - Austria

Post by kestas » Tue Feb 05, 2019 8:21 pm

5. And never do any upgrade without backup of your whole site and database!!!

Custom OpenCart modules and solutions. You can write PM with additional questions... Extensions you can find here


Active Member

Posts

Joined
Tue Oct 12, 2010 2:23 am

Post by michael@kosmodisk » Tue Feb 05, 2019 8:25 pm

I did update my whole site and database.

Like I said I followed instruction in the link above. Update to 1.5.x before updating to 3.0.

So how does one fix this?


Posts

Joined
Tue Feb 05, 2019 1:33 pm

Post by michael@kosmodisk » Tue Feb 05, 2019 8:26 pm

My web site was version 1.4.9.4


Posts

Joined
Tue Feb 05, 2019 1:33 pm

Post by michael@kosmodisk » Wed Feb 06, 2019 7:44 am

The website now displays a white screen. Is this a fatal error in mysql?

Is there anyone willing to look into this?


Posts

Joined
Tue Feb 05, 2019 1:33 pm

Post by IP_CAM » Wed Feb 06, 2019 1:39 pm

Is there anyone willing to look into this?
Well, to be honest, I don't think so. At least not here, and for free, because
if you have no Backup, or even had some OC Extensions installed, it might
take the equivalent of a 3-figure amount of US-$, to extract all the data
from your damaged DB, to make it usable in a later OC Version again.

But that's Pro Work. Better publish it in the commercial Forum Section,
to get assistance. To fix, what you screwed up, by simply ignoring the
first LAW for Web Software Installers: Always make a full Backup first,
before you start to play around in (obvious) unknown territories.

Ernie

For Sale: Turnkey URLs with Opencart installed
My present Opencart Testsite: http://www.velomech.ch/shop/
Attacker IP Blocks are denied from further access to my Sites!
Just contact me for more Information at: jti@jacob.ch
690 FREE OC Extension-Repositories - from OC v.1.5.x up
on the largest Opencart-Mod Github Site: https://github.com/IP-CAM
Image


User avatar
Legendary Member

Posts

Joined
Tue Mar 04, 2014 1:37 am
Location - Switzerland

Post by johnp » Fri Feb 15, 2019 7:34 pm

How did you back the site and database up? Online, through Cpanel or did you download it to your local computer? I've upgraded several 1.4 sites to 1.5.6.5. It's pretty straightforward but the newbie can get lost in it.

As Ernie said, commercial support is probably your best option. Especially if you had a live site taking orders.

Opencart 1.5.6.5/Default Theme/VQMOD 2.6.1 lover, user and geek.
Fast Service for Opencart Installs, Fixing, Development and Upgrades plus Ecommerce, Marketing and More
https://asandwhenbusinessservices.co.uk
https://asandwhenbusinessservices.co.uk ... e-services


User avatar
Active Member

Posts

Joined
Fri Mar 25, 2011 10:25 am
Location - Surrey, UK
Who is online

Users browsing this forum: No registered users and 2 guests